<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
         Schema::table('status_form', function (Blueprint $table) {
            $table->date('tanggal_pembukaan')->nullable()->after('updated_at');
            $table->date('tanggal_penutupan')->nullable()->after('tanggal_pembukaan');
            $table->date('tanggal_verifikasi')->nullable()->after('tanggal_penutupan');
            $table->date('tanggal_pengumuman')->nullable()->after('tanggal_verifikasi');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
       Schema::table('status_form', function (Blueprint $table) {
            $table->dropColumn([
                'tanggal_pembukaan',
                'tanggal_penutupan',
                'tanggal_verifikasi',
                'tanggal_pengumuman'
            ]);
        });
    }
};
